isla-odio-deprecated

Mi web no muestra bien algunas partes ¿Porqué son tan importantes las actualizaciones? Parte II

En noviembre de 2018, la versión 5 de php como todas las versiones anteriores, llegó al fin de su vida. No es ni la primera, ni será tampoco la última de las versiones que quedan obsoletas (en inglés: «deprecated»). Si hay alguna disciplina actual en constante cambio, renovación y ampliación, esa es la programación.

Esto quiere decir que algunas funciones quedarán obsoletas, en algunos casos serán reemplazadas por otras similares, y en otras se implementarán soluciones alternativas. Ya no se recibirán parches ni actualizaciones de seguridad. Consecuencia de lo primero es que aparecerán errores en las páginas que estuvieran empleando dichas funciones y la consecuencia de lo segundo es que quedarán al aire nuevas vulnerabilidades.

 

Cómo evitar los errores en las páginas:

En el ámbito WordPress que nos ocupa, los plugins y temas que empleaban funciones asociadas a esta versión dejarán de funcionar adecuadamente, por loque no se puede garantizar una buena experiencia a los usuarios, llegando en ocasiones a impedir el uso de la web por completo.

La solución no es compleja, a grandes rasgos, se trata simplemente de instalar y activar una versión superior de PHP en el servidor y adaptar o sustituir los elementos de programación que lo necesiten.

Si bien no es grave, impide que los usuarios puedan acceder a la web. Indica obviamente que las aplicaciones requieren un cierto mantenimiento que permita mantener actualizadas y sin errores las webs.

 

Cómo mejorar la seguridad:

En el caso de las vulnerabilidades que ponen en peligro la seguridad – no ya de los archivos o material de la web – sino mucho más grave: vulnerar información y/o datos sensibles, la importancia de tomar acciones que lo eviten, es evidente.

Para solventar las consecuencias de un posible ataque, las copias de seguridad periódicas son esenciales para restaurar los datos y archivos desde un lugar seguro e independente del servidor donde resida la aplicación.  Normalmente, la cadencia de las copias la marcará la actividad de los usuarios de la web. Al igual que en el caso anterior, el mantenimiento adecuado de la apliación es vital para su buen funcionamiento.

En el caso de datos sensibles, la mejor opción es la prevención, ya que el daño que se produce al ser compartidos no se puede reparar. La monitorización de los ataques es fundamental para mantener los cambiantes intentos de violar la intimidad de un servidor.

peligrosWP

TOP 6 vulnerabilidades WordPress

Alojamiento pobre

Elegir un alojamiento basándose sólo en el precio puede costar más de lo que ahorra. La mayoría de los alojamientos son seguros, pero algunos no garantizan convenientemente las cuentas de usuario.

Login de WordPress

Una de las vulnerabiliades más empleadas. Los ataques de fuerza bruta por esta vía son los más frecuentes

Software desactualizado

Cuando los componenetes de tu WordPress no están al día, corren el riegso de presentar vulnerabilidades. Actualizarlos no es sólo cuestión de habilitar nuevas funcionalidades o solucionar bugs, sino para evitar ataques por este medio.

Vulnerabiliades de PHP

Desisntalar y borrar los plugins y temas que no están en uso es la mejor práctica para reducir los puntos de acceso a código ejecutable resultantes de vulnerabilidades.

Software desde fuentes no fiables

El riesgo que se corre al instalar código desde fuentes no reconocidas o de dudosa reputación es muy grave. Evita, además, las versiones «nulled», ya que podrían contener código malicioso.

Protocolo no seguro (no-ssl)

Añadir un certificado SSL asegura que solamente pueden recibir información sensible, tal como credenciales, formularios o datos de compras, los destinatarios permitidos. Tu proveedor de alojamiento debería poner a disposición un certificado seguro.

¡Mi web se ha quedado en blanco! ¿Por qué son tan importantes las actualizaciones?

WordPress se consolida en 2018 como la plataforma preferida por la mayoría de los usuarios de internet que desean mantener un blog, una tienda digital o un portfolio,  las aplicaciones son infinitas.

Para usuarios pertenecientes al «gran público» su sencillez de uso, la flexibilidad y la rápida curva de aprendizaje son factores importantes a la hora de elegirlo, además, comparado con otras plataformas similares, WP es el que dispone de más temas y plugins gratuitos (fuente: https://makeawebsitehub.com). También el hecho de poder alojar la web de forma gratuita en wordpress.org es determinante para muchos de ellos.

Estos motivos han permitido que muchos usuarios que no tienen conocimientos de informática puedan disponer de una web que en muchas ocasiones constituye una herramienta de trabajo y apoyo, por ejemplo en el aula, para profesores.

Precisamente esa circunstancia, la del fácil acceso de WordPress a todo tipo de personas, provoca que a veces se produzcan errores que no son graves y de fácil resolución, pero que pueden inhabilitar la web:  hay partes que se ven, pero el resto queda en blanco

¿Qué puede haber pasado? Una de las causas puede venir por plugins que hayan quedado obsoletos, como este caso:

Pozo de los Chorros


La solución aportada en algunos casos, pasa por sustituir el plugin, y en otros, por actualizarlo.

De cualquier manera, desde Incentral haremos que tu web se vea bien sin perder ninguna de sus funcionalidades y con 100% de garantía.